Show / Hide Table of Contents

# Interface IHasUi

This interface represents a Dalamud plugin that has user interface which can be drawn.

##### Inherited Members

IDalamudPlugin.Name
IDalamudPlugin.Initialize(DalamudPluginInterface)
System.IDisposable.Dispose()

###### Namespace: Dalamud.Plugin.Features

###### Assembly: Dalamud.dll

##### Syntax

    public interface IHasUi : IDalamudPlugin, IDisposable

### Methods

| Improve this Doc View Source

#### Draw(UiBuilder)

A function that gets called when Dalamud is ready to draw your UI.

##### Declaration

    void Draw(UiBuilder uiBuilder)

##### Parameters

Type | Name | Description
--- | --- | ---
UiBuilder | uiBuilder | An UiBuilder object you can use to e.g. load images.